Package org.apache.nutch.service.resources

## Class ServicesResource

- java.lang.Object
- - org.apache.nutch.service.resources.ServicesResource

-     @Path("/services")
      public class ServicesResource
      extends Object

  The services resource defines an endpoint to enable the user to carry out Nutch jobs like dump, commoncrawldump, etc.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ServicesResource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.ws.rs.core.Response` | `commoncrawlDump​(ServiceConfig serviceConfig)` |
    `javax.ws.rs.core.Response` | `listDumpPaths​(String crawlId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServicesResource

          public ServicesResource()

  - ### Method Detail

    - #### listDumpPaths

          @GET
          @Path("/commoncrawldump/{crawlId}")
          public javax.ws.rs.core.Response listDumpPaths​(@PathParam("crawlId")
                                                         String crawlId)

    - #### commoncrawlDump

          @POST
          @Path("/commoncrawldump")
          public javax.ws.rs.core.Response commoncrawlDump​(ServiceConfig serviceConfig)